﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx Trigger Utility IEEE
DATE:                  2008-10-29 10:16:18
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       53
=============================================================================
#
#  Procedure Author:  DFM, VY, ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         Adjusting UUT Trigger Level for stable display, Wait...
  1.002  IEEE         *SRE 0;*ESE 0;*CLS
# Compute Vp value of input (Vpp passed from calling procedure in MEM).
  1.003  MATH         PeakVal = MEM / 2
# Compute trigger step of 5% of the applied voltage (Vpp).
  1.004  MATH         StepVal = MEM / 20
# Compute negative peak voltage of input waveform.
  1.005  MATH         CurrentVal = PeakVal * -1

  1.006  DO
  1.007  IEEE         ERAS PMEM0[D1000]
# Set UUT to computed trigger level.
  1.008  IEEE         TRIG:LEV [V CurrentVal]
# Serial poll to see if triggered.
  1.009  IEEE         [SPL 1]

  1.010  IF           NOT(MEM)
# Compute new level, incrementing from negative to positive peak value.
  1.011  MATH         CurrentVal = CurrentVal + StepVal
  1.012  ENDIF

# If serial poll returns 1, UUT is triggered, bail out.
# If computed value is greater than +peak value of waveform, bail out.
  1.013  UNTIL        MEM || CurrentVal > PeakVal

  1.014  END
